<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tns="http://tempuri.org/" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" targetNamespace="http://tempuri.org/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://tempuri.org/">
      <s:element name="HelloWorld">
        <s:complexType />
      </s:element>
      <s:element name="HelloWorldResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="HelloWorldResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="Sum">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="a" type="s:double" />
            <s:element minOccurs="1" maxOccurs="1" name="b" type="s:double" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="SumResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="SumResult" type="s:double" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="Sub">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="a" type="s:double" />
            <s:element minOccurs="1" maxOccurs="1" name="b" type="s:double" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="SubResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="SubResult" type="s:double" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="Mul">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="a" type="s:double" />
            <s:element minOccurs="1" maxOccurs="1" name="b" type="s:double" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="MulResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="MulResult" type="s:double" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="Div">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="a" type="s:double" />
            <s:element minOccurs="1" maxOccurs="1" name="b" type="s:double" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="DivResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="DivResult" type="s:double" />
          </s:sequence>
        </s:complexType>
      </s:element>
    </s:schema>
  </wsdl:types>
  <wsdl:message name="HelloWorldSoapIn">
    <wsdl:part name="parameters" element="tns:HelloWorld" />
  </wsdl:message>
  <wsdl:message name="HelloWorldSoapOut">
    <wsdl:part name="parameters" element="tns:HelloWorldResponse" />
  </wsdl:message>
  <wsdl:message name="SumSoapIn">
    <wsdl:part name="parameters" element="tns:Sum" />
  </wsdl:message>
  <wsdl:message name="SumSoapOut">
    <wsdl:part name="parameters" element="tns:SumResponse" />
  </wsdl:message>
  <wsdl:message name="SubSoapIn">
    <wsdl:part name="parameters" element="tns:Sub" />
  </wsdl:message>
  <wsdl:message name="SubSoapOut">
    <wsdl:part name="parameters" element="tns:SubResponse" />
  </wsdl:message>
  <wsdl:message name="MulSoapIn">
    <wsdl:part name="parameters" element="tns:Mul" />
  </wsdl:message>
  <wsdl:message name="MulSoapOut">
    <wsdl:part name="parameters" element="tns:MulResponse" />
  </wsdl:message>
  <wsdl:message name="DivSoapIn">
    <wsdl:part name="parameters" element="tns:Div" />
  </wsdl:message>
  <wsdl:message name="DivSoapOut">
    <wsdl:part name="parameters" element="tns:DivResponse" />
  </wsdl:message>
  <wsdl:portType name="WebServiceSoap">
    <wsdl:operation name="HelloWorld">
      <wsdl:input message="tns:HelloWorldSoapIn" />
      <wsdl:output message="tns:HelloWorldSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="Sum">
      <wsdl:input message="tns:SumSoapIn" />
      <wsdl:output message="tns:SumSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="Sub">
      <wsdl:input message="tns:SubSoapIn" />
      <wsdl:output message="tns:SubSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="Mul">
      <wsdl:input message="tns:MulSoapIn" />
      <wsdl:output message="tns:MulSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="Div">
      <wsdl:input message="tns:DivSoapIn" />
      <wsdl:output message="tns:DivSoapOut" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="WebServiceSoap" type="tns:WebServiceSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="HelloWorld">
      <soap:operation soapAction="http://tempuri.org/HelloWorld" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Sum">
      <soap:operation soapAction="http://tempuri.org/Sum" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Sub">
      <soap:operation soapAction="http://tempuri.org/Sub" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Mul">
      <soap:operation soapAction="http://tempuri.org/Mul" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Div">
      <soap:operation soapAction="http://tempuri.org/Div" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="WebServiceSoap12" type="tns:WebServiceSoap">
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="HelloWorld">
      <soap12:operation soapAction="http://tempuri.org/HelloWorld" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Sum">
      <soap12:operation soapAction="http://tempuri.org/Sum" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Sub">
      <soap12:operation soapAction="http://tempuri.org/Sub" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Mul">
      <soap12:operation soapAction="http://tempuri.org/Mul" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Div">
      <soap12:operation soapAction="http://tempuri.org/Div" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="WebService">
    <wsdl:port name="WebServiceSoap" binding="tns:WebServiceSoap">
      <soap:address location="http://localhost:1226/5/WebService.asmx" />
    </wsdl:port>
    <wsdl:port name="WebServiceSoap12" binding="tns:WebServiceSoap12">
      <soap12:address location="http://localhost:1226/5/WebService.asmx" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>